@import '../../assets/styles/common';

.dashboard {
  display: flex;
  flex-direction: column;
  background: $app-bg-primary;
  overflow: hidden;

  @media only screen and (max-width: 1400px) {
    @media only screen and (max-width: 768px) {
      &__carousel {
        width: 100%;
      }
    }

    @media only screen and (max-width: 768px) {
      overflow: scroll;
    }

    &__header-txt {
      font-size: 2.5rem;

      .challenges {
        font-size: 2.5rem;
      }
    }

    &__header-bar--blue, &__header-bar--green, &__header-bar--orange, &__header-bar--red {
      height: .4rem;
    }

    &__view-more-img {
      width: 11.5rem;
    }
  }

  &__card {
    width: 28.5rem;
    height: 38rem;
    margin-right: 2rem;

    &-genre {
      position: absolute;
      bottom: 1rem;
      left: 2rem;
      padding: 2px;
      border: 3px solid #10131c;
      border-radius: 4px;
      font-size: 1rem;
      color: $white;
      background: #1d222e 0% 0% no-repeat padding-box;
    }

    &-overlay {
      position: absolute;
      bottom: 3.5rem;
      left: 2rem;
      font-weight: 700;
      font-size: 2.5rem;
      color: $white;
      text-shadow: -0.5px -0.5px 0 #000000, 0.5px -0.5px 0 #000000, -0.5px 0.5px 0 #000000, 0.5px 0.5px 0 #000000;

      &--dark {
        @extend .dashboard__card-overlay;

        color: black;
      }
    }

    &-container {
      display: flex;
      flex-direction: row;
      margin: 4rem 0 4rem 9rem;
    }
  }

  &__carousel {
    max-width: 100%;
    margin: 2rem auto 0;
    text-align: -webkit-center;
    text-align: -moz-center;
  }

  &__header {
    width: 100%;
    border-radius: 1.5rem 1.5rem 0 0;
    line-height: $dashboard__header-height;
    background: $app-bg-secondary;

    &-txt {
      margin-left: 8.7rem;
      font-size: $dashboard__header-category;

      .streams, .categories, .challenges {
        font-size: $dashboard__header-category;
      }

      .streams {
        color: $dashboard-red;
      }

      .categories {
        color: $dashboard-blue;
      }

      .challenges {
        color: $dashboard-green;
      }
    }

    &-bar {
      width: 90%;
      height: .5rem;
      margin: auto;
      border-radius: 2rem;
      background: $dashboard__header-bar-bg-clr;

      &--red, &--blue, &--green, &--orange {
        width: 25rem;
        height: .5rem;
        border-radius: 2rem;
      }

      &--red {
        background: $dashboard-red;
      }

      &--blue {
        background: $dashboard-blue;
      }

      &--green {
        background: $dashboard-green;
      }

      &--orange {
        background: $dashboard-orange;
      }
    }
  }

  &__streams, &__categories, &__challenges {
    display: flex;
    max-width: 100vw;
    margin-bottom: 4rem;
    border: 1px solid #707070;
    border-radius: 1rem;
    background: $app-bg-secondary;
    box-shadow: 0 3px 6rem rgba(0, 0, 0, 0.345);

    @media screen and (max-width: 768px) {
      max-width: initial;
    }
  }

  &__view-more {
    display: block;
    float: right;
    margin-right: 8.7rem;
    margin-bottom: 5px;
    cursor: pointer;

    &-img {
      vertical-align: middle;
    }
  }

  @media only screen and (max-width: 1400px) {
    &__header-txt {
      font-size: 2.5rem;

      .challenges {
        font-size: 2.5rem;
      }
    }

    &__header-bar--blue, &__header-bar--green, &__header-bar--orange, &__header-bar--red {
      height: .4rem;
    }

    &__view-more-img {
      width: 11.5rem;
    }

    @media only screen and (max-width: 768px) {
      &__carousel {
        width: 100%;
      }
    }

    @media only screen and (max-width: 700px) {
      overflow: scroll;
    }
  }
}
